textures/alliance_actf32/nodraw_solid
{
	surfaceparm nodraw
	surfaceparm trans
	surfaceparm nomarks
}

textures/alliance_actf32/sfx_zip1_blue
{
        qer_editorimage textures/sfx/proto_zzztblu3.tga
	surfaceparm nolightmap
	{
		map textures/sfx/proto_zzztblu3.tga
		tcGen environment
                tcMod turb 0 0.25 0 0.5
                tcmod scroll 0 -1
		blendfunc GL_ONE GL_ONE
	}
}

textures/alliance_actf32/sfx_zip1_red
{
        qer_editorimage textures/sfx/proto_zzzt.tga
	surfaceparm nolightmap
	{
		map textures/sfx/proto_zzzt.tga
		tcGen environment
                tcMod turb 0 0.25 0 0.5
                tcmod scroll 0 -1
		blendfunc GL_ONE GL_ONE
	}
}

textures/alliance_actf32/sfx_respawntube_blue
{
        qer_editorimage textures/sfx/proto_zzztblu3.tga
	surfaceparm nolightmap
	cull disable
	{
		map textures/sfx/proto_zzztblu3.tga
		tcGen environment
                tcmod scroll 0 -1
		blendfunc GL_ONE GL_ONE
	}
}

textures/alliance_actf32/sfx_respawntube_red
{
        qer_editorimage textures/sfx/proto_zzzt.tga
	surfaceparm nolightmap
	cull disable
	{
		map textures/sfx/proto_zzzt.tga
		tcGen environment
                tcmod scroll 0 -1
		blendfunc GL_ONE GL_ONE
	}
}


textures/alliance_actf32/tubelight1
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
                rgbGen wave sawtooth 0.5 3 0 0.25
		blendfunc GL_ONE GL_ONE
	}
}

textures/alliance_actf32/clear_ripple2

//	*********************************************************
//	*      Small clear ripple water. Created September 9	*
//	*********************************************************


// Hydra:
// textures only included with the mapmedia pack, so they're
// copied to the textures/alliance_actf32 dir and this script is updated
// to point to the new file locations.

{
	qer_editorimage textures/alliance_actf32/pool3d_3b.tga
	qer_trans .5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water

	cull disable
	deformVertexes wave 64 sin .5 .5 0 .5	

	{ 
		map textures/alliance_actf32/pool3d_5b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 .001
	}

	{ 
		map textures/alliance_actf32/pool3d_6b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll .025 -.001
	}

	{ 
		map textures/alliance_actf32/pool3d_3b.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .25 .5
		tcmod scroll .001 .025
	}

	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}


}

textures/alliance_actf32/light1blue_decal_6000
{
        // this texture is the same as "base_light/light1blue", except for the surround.
        // which was changed by me
        // oh and it's a decal too..
        
	qer_editorimage textures/alliance_actf32/light1_decal_blue.tga
	q3map_lightimage textures/base_light/light1blue.blend.tga
	surfaceparm nomarks
	q3map_surfacelight 6000

        {
                map textures/alliance_actf32/light1_decal_blue.tga
                alphaFunc GE128
                depthWrite
                rgbGen vertex
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
                depthFunc equal
        }
	{
		map textures/base_light/light1blue.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/alliance_actf32/light1red_decal_6000
{
        // this texture is the same as "base_light/light1red", except for the surround.
        // which was changed by me
        // oh and it's a decal too..
        
	qer_editorimage textures/alliance_actf32/light1_decal_red.tga
	q3map_lightimage textures/base_light/light1red.blend.tga
	surfaceparm nomarks
	
	q3map_surfacelight 6000

        {
                map textures/alliance_actf32/light1_decal_red.tga
                alphaFunc GE128
                depthWrite
                rgbGen vertex
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
                depthFunc equal
        }
	{
		map textures/base_light/light1red.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/alliance_actf32/light1_decal_6000
{
        // this texture is the same as "base_light/light1", except for the surround.
        // which was changed by me
        // oh and it's a decal too..
        
	qer_editorimage textures/alliance_actf32/light1_decal.tga
	q3map_lightimage textures/base_light/light1.blend.tga
	surfaceparm nomarks
	
	q3map_surfacelight 6000

        {
                map textures/alliance_actf32/light1_decal.tga
                alphaFunc GE128
                depthWrite
                rgbGen vertex
        }
        {
                map $lightmap
                rgbGen identity
                blendFunc filter
                depthFunc equal
        }
	{
		map textures/base_light/light1.blend.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/alliance_actf32/slime1_blue_750
{
        // Same as liquids/slime1 but blue..
	qer_editorimage textures/alliance_actf32/blueslime1.tga
	q3map_lightimage textures/alliance_actf32/blueslime1.tga
	q3map_globaltexture
	qer_trans .5

	surfaceparm noimpact
	surfaceparm slime
	surfaceparm nolightmap
	surfaceparm trans		

	q3map_surfacelight 750
	tessSize 32
	cull disable

	deformVertexes wave 100 sin 0 1 .5 .5

	{
		map textures/alliance_actf32/blueslime1.tga
		tcMod turb .3 .2 1 .05
		tcMod scroll .01 .01
	}

	{
		map textures/alliance_actf32/blueslime1a.tga
		blendfunc GL_ONE GL_ONE
		tcMod turb .2 .1 1 .05
		tcMod scale .5 .5
		tcMod scroll .01 .01
	}

	{
		map textures/liquids/bubbles.tga
		blendfunc GL_ZERO GL_SRC_COLOR
		tcMod turb .2 .1 .1 .2
		tcMod scale .05 .05
		tcMod scroll .001 .001
	}		

}

textures/alliance_actf32/lavahell_750
{
        // same as liquids/lavahell_750 except that is uses the same tc* values at the slime1 (above)
	qer_editorimage textures/liquids/lavahell.tga
	q3map_globaltexture
	q3map_lightsubdivide 32
	surfaceparm trans
	//surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 500
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 0 1 .5 0.5
	
	{
		map textures/liquids/lavahell.tga
		tcMod turb .3 .2 1 .05
	}
}

textures/alliance_actf32/mrc_grate_02
{
	surfaceparm metalsteps
	surfaceparm alphashadow
	//surfaceparm trans		
	cull disable
	nopicmip

	{
		map textures/alliance_actf32/mrc_grate_02.tga
		tcMod scale 2. 2.
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/alliance_actf32/stl_trim_34lt_red_250
{
	qer_editorimage textures/alliance_actf32/stl_trim_34lt_red.tga
	q3map_surfacelight 250	
	q3map_lightimage textures/alliance_actf32/stl_trim_34lt_glow.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alliance_actf32/stl_trim_34lt_red.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/alliance_actf32/stl_trim_34lt_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

textures/alliance_actf32/stl_trim_34lt_blue_250
{
	qer_editorimage textures/alliance_actf32/stl_trim_34lt_blue.tga
	q3map_surfacelight 250	
	q3map_lightimage textures/alliance_actf32/stl_trim_34lt_glow.tga	
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/alliance_actf32/stl_trim_34lt_blue.tga
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
	{
		map textures/alliance_actf32/stl_trim_34lt_glow.tga
		blendfunc GL_ONE GL_ONE
	}
}

// EOF
